# Yaf_Request_Http::getPost

(Yaf >=1.0.0)

Yaf_Request_Http::getPost — Retrieve POST variable

### Description

public Yaf_Request_Http::getPost ( string `$name` [, string `$default` ] ) : mixed

Retrieve POST variable

### Parameters

`name`

  the variable name

`default`

  if this parameter is provide, this will be returned if the varialbe can not be found

### Return Values

### See Also

- Yaf_Request_Http::get() - Retrieve variable from client
- Yaf_Request_Http::getQuery() - Fetch a query parameter
- Yaf_Request_Http::getCookie() - Retrieve Cookie variable
- Yaf_Request_Http::getRaw() - Retrieve Raw request body
- Yaf_Request_Abstract::getServer() - Retrieve SERVER variable
- Yaf_Request_Abstract::getParam() - Retrieve calling parameter